# Changelog

## [integrations/google_ai-v3.0.0] - 2024-11-12

### 🐛 Bug Fixes

- `GoogleAIGeminiGenerator` - remove support for tools and change output type (#1177)

### ⚙️ Miscellaneous Tasks

- Adopt uv as installer (#1142)

## [integrations/google_ai-v2.0.1] - 2024-10-15

### 🚀 Features

- Add chatrole tests and meta for GeminiChatGenerators (#1090)

### 🐛 Bug Fixes

- Remove the use of deprecated gemini models (#1032)
- Chat roles for model responses in chat generators (#1030)
- Make sure that streaming works with function calls - (drop python3.8) (#1137)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)
- Update ruff linting scripts and settings (#1105)

### Docs

- Update GeminiGenerator docstrings (#964)
- Update GoogleChatGenerator docstrings (#962)

## [integrations/google_ai-v1.1.0] - 2024-06-05

### 🐛 Bug Fixes

- Handle `TypeError: Could not create Blob` in `GoogleAIGeminiChatGenerator` (#772)

## [integrations/google_ai-v1.0.0] - 2024-03-27

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme

### 📚 Documentation

- Update category slug (#442)
- Disable-class-def (#556)

## [integrations/google_ai-v0.2.0] - 2024-02-15

### Google_ai

- Create api docs (#354)

## [integrations/google_ai-v0.1.0] - 2024-01-25

### Refact

- [**breaking**] Adjust import paths (#268)

## [integrations/google_ai-v0.0.1] - 2024-01-03

<!-- generated by git-cliff -->
